// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface SubmitGameSessionResultRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @return The sessionId.
   */
  java.lang.String getSessionId();
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @return The bytes for sessionId.
   */
  com.google.protobuf.ByteString
      getSessionIdBytes();

  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   * @return Whether the gameSessionResult field is set.
   */
  boolean hasGameSessionResult();
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   * @return The gameSessionResult.
   */
  gg.dsepractice.chinese.v1alpha1.GameSessionResult getGameSessionResult();
}
